Bug 1189497 (CVE-2021-30475)

Summary: VUL-0: CVE-2021-30475: libaom: Buffer overflow in aom_dsp/noise_model.c
Product: [Novell Products] SUSE Security Incidents Reporter: Robert Frohl <rfrohl>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P2 - High CC: meissner, pgajdos, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/301270/
Whiteboard: CVSSv3.1:SUSE:CVE-2021-30475:7.8:(AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Comment 1 Robert Frohl 2021-08-17 08:29:12 UTC
tracking as affected:

- SUSE:SLE-15-SP2:Update/libaom
Comment 2 Robert Frohl 2021-08-17 10:58:44 UTC
this seems to be tied to the encoder for av1 mainly, lowering priority again
Comment 3 Petr Gajdos 2021-08-25 09:36:46 UTC
devel project:
https://build.opensuse.org/request/show/914191
15sp2:
https://build.suse.de/request/show/248808

I believe all fixed.
Comment 4 Swamp Workflow Management 2021-09-09 16:29:24 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:3005-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189497
CVE References: CVE-2021-30475
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    libaom-1.0.0-3.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    libaom-1.0.0-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-09-09 16:40:59 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:3005-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189497
CVE References: CVE-2021-30475
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    libaom-1.0.0-3.3.1
Comment 6 Swamp Workflow Management 2021-09-14 13:23:24 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:1254-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189497
CVE References: CVE-2021-30475
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    libaom-1.0.0-lp152.3.3.1
Comment 7 Marcus Meissner 2022-03-25 09:06:15 UTC
done